Upgrade your perl

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!

Thanks to Ben Morrow's tips, I find that installation failure may be just
likely due to an outdated Perl. So please try using yum, or a way mentioned
in http://www.cuvou.com/doc/perl510.html (I used this method to upgrade to
5.15.2). Then you will find many of your unsolved problems suddenly all
solve. Hope this would help to those once frustrated like me.

Site Timeline